{
  networking.firewall.allowedTCPPorts = [25565];
  networking.firewall.allowedUDPPorts = [25565];
  virtualisation.oci-containers = {
    backend = "podman";
    containers.minecraft = {
      image = "docker.io/itzg/minecraft-server:java17-alpine";
      volumes = ["/storage/minecraft:/data"];
      ports = ["25565:25565"];
      environment = {
        DIFFICULTY = "easy";
        EULA = "true";
        GUI = "false";
        INIT_MEMORY = "6G";
        MAX_MEMORY = "6G";
        ONLINE_MODE = "false";
        TYPE = "forge";
        VERSION = "1.20.1";
        VIEW_DISTANCE = "8";
      };
    };
  };
}
