{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.config
    self.nixosModules.desktop
    self.nixosModules.system
    ./disko
    ./hardware
  ];

  networking = {
    networkmanager.enable = true;
    # hostId = "";
    hostName = "eldrid";
  };

  environment.memoryAllocator.provider = "mimalloc";
  system.stateVersion = "25.05";
  time.timeZone = "Europe/Kyiv";

  desktop.plasma.enable = true;

  module = {
    config = {
      secureBoot = true;
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "helios";
    };
  };

  locale.ukrainian.enable = true;
  opentabletdriver.enable = false;
  qmk-vial.enable = true;
  virtual.libvirt.enable = false;

  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024; # eight gigs
    }
  ];
}
