{
  config,
  inputs,
  ...
}: let
  inherit (builtins) readFile;
  inherit (config.networking) hostName;
  inherit (config.sops) secrets;
  inherit (inputs) mysecrets;
  pubHost = readFile "${mysecrets}/ssh/ssh_host_ed25519_dunamis.base64";
in {
  nix = {
    distributedBuilds = true;
    buildMachines = [
      {
        hostName = "dunamis";
        publicHostKey = pubHost;
        sshKey = secrets."ssh-${hostName}-user".path;
        sshUser = "nix-ssh";
        supportedFeatures = [
          "benchmark"
          "big-parallel"
          "kvm"
          "nixos-test"
        ];
        system = "x86_64-linux";
      }
    ];
  };
}
