{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    ../dunamis/programs.nix
    ./boot.nix
    ./disko.nix
    ./hardware.nix
    ./networking.nix
    ./nix.nix
    ./power-saving.nix
    ./services.nix
    ./sops.nix
    ./users.nix
  ];

  desktop.niri.enable = true;
  environment.memoryAllocator.provider = "mimalloc";
  locale.ukrainian.enable = true;
  module.stylix = {
    enable = true;
    theme = "helios";
  };
  opentabletdriver.enable = false;
  qmk-vial.enable = true;

  system.stateVersion = "25.05";
  time.timeZone = "Europe/Kyiv";
  virtual.libvirt.enable = true;
  wireless = {
    bluetooth.enable = true;
    bluetooth.enableBlueman = true;
  };
  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024;
    }
  ];
}
