{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    self.nixosModules.config
    ./disko
    ./hardware
    ./distributed-build.nix
  ];

  networking = {
    networkmanager.enable = true;
    hostId = "31150fae";
    hostName = "sarien";
  };

  boot.loader.systemd-boot.enable = true;
  environment.memoryAllocator.provider = "mimalloc";
  system.stateVersion = "25.05";
  time.timeZone = "Europe/Kyiv";

  desktop.niri.enable = true;

  module = {
    config = {
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "himalaya";
    };
  };

  locale.ukrainian.enable = true;
  opentabletdriver.enable = false;
  qmk-vial.enable = true;
  virtual.libvirt.enable = true;
}
