{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.syncthing;
in {
  options = {
    syncthing.enable = mkEnableOption "enable syncthing";
  };
  config = mkIf cfg.enable {
    systemd.user.services.syncthing.Environment.STNODEFAULTFOLDER = "true"; # Don't create default ~/Sync folder
    services.syncthing = {
      enable = true;
      tray.enable = true;
      settings = {
        options = {
          urAccepted = -1;
          relaysEnabled = true;
        };
        devices = {
          "dunamis".id = "72VRZFX-65SZUKP-2XL2WLG-75MMKLG-PQLDEZN-G5OI5U7-RLF4OHS-LNCXEQX";
          "eldrid".id = "VTSBNN6-W6UUT66-NDEQBNJ-DJJM5YE-PWU63IW-Y6CTJNN-Q3RHEQB-POBLCQH";
          "legion".id = "FDS73OW-BHRWDBO-AOFQX4D-FSCABP2-HN4575T-CSIO6TX-5CPJQLQ-L25TYQJ";
          "phone".id = "XBZLA7Y-YOBZHLO-MSTRAGS-6SN5MEZ-FDKR76F-DIX2BKE-FMDNUYR-TMD6UAQ";
          "sarien".id = "LUVZGFV-OV6FV5E-SDROWHZ-4BR5PFB-VP5Y326-AFEP6NL-ORUMJQQ-SSYCQQO";
        };
        folders = {
          "kgWDuKXLwWm9dalD" = {
            path = "/home/user/docs";
            devices = [
              "dunamis"
              "eldrid"
              "legion"
              "phone"
              "sarien"
            ];
          };
          "lPdfBZtxd6fATFp2" = {
            path = "/home/user/programming";
            devices = [
              "dunamis"
              "eldrid"
              "legion"
              "sarien"
            ];
          };
        };
      };
    };
  };
}
