{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.desktop.gnome;
in {
  options = {
    desktop.gnome.enable =
      mkEnableOption "enable gnome desktop";
  };
  config = mkIf cfg.enable {
    sound.pipewire.enable = true;
    services.xserver = {
      enable = true;
      displayManager.gdm.enable = true;
      desktopManager.gnome.enable = true;
    };
    programs.dconf.enable = true;
    programs.seahorse.enable = true;
    services.gnome.gnome-keyring.enable = true;
    services.udisks2.enable = true;
    services.dbus = {
      apparmor = "enabled";
      implementation = "broker";
    };
  };
}
