{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.desktop.plasma;
in {
  imports = [
    ./common/pipewire.nix
  ];
  options = {
    desktop.plasma = {
      enable = mkEnableOption "enable plasma desktop";
      # sddmEnable = mkEnableOption "enable simple display manager";
    };
  };
  config = mkIf cfg.enable {
    stylix.targets.qt.enable = mkDefault false;
    services = {
      desktopManager.plasma6.enable = true;
      displayManager.sddm = {
        enable = true; # cfg.sddmEnable;
        wayland.enable = true;
      };
    };
    fonts.fontDir.enable = true;
  };
}
