{
  # pkgs,
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.virtual.docker;
in {
  options = {
    virtual.docker.enable =
      mkEnableOption "enable docker";
  };
  config = mkIf cfg.enable {
    virtualisation.docker = {
      enable = true;
      rootless = {
        enable = true;
        setSocketVariable = true;
      };
      storageDriver = "btrfs";
      autoPrune.enable = true;
      #defaultNetwork.settings = {
      #  dns_enabled = true;
      #};
    };
    virtualisation.oci-containers.backend = "docker";
  };
}
